﻿$ErrorActionPreference = 'Stop';

$pp = Get-PackageParameters
$copyScripts = $pp.CS

$packageName= 'rs-ssms-extension'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'RS.SSMS.Installer.msi'

$silentArgs = "/q"

if($copyScripts -and ($copyScripts -eq 1))
	{$silentArgs += " CS=1"}
	
$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  file          = $fileLocation
  silentArgs    = $silentArgs
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyInstallPackage @packageArgs